IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/40
Addresses2^88
/64 networks16,777,216
- Network
2c19:dd:e00::/40- First address
2c19:dd:e00::- Last address
2c19:dd:eff:ffff:ffff:ffff:ffff:ffff- Addresses
- 309,485,009,821,345,068,724,781,056 (2^88)
- /64 networks (LANs)
- 16,777,216
- Full form
2c19:00dd:0e00:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
e.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:e00::/40 makes 256 subnets of /48.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:e00::/48 | 2c19:dd:e00:ffff:ffff:ffff:ffff:ffff |
| 2 | 2c19:dd:e01::/48 | 2c19:dd:e01:ffff:ffff:ffff:ffff:ffff |
| 3 | 2c19:dd:e02::/48 | 2c19:dd:e02:ffff:ffff:ffff:ffff:ffff |
| 4 | 2c19:dd:e03::/48 | 2c19:dd:e03:ffff:ffff:ffff:ffff:ffff |
| 5 | 2c19:dd:e04::/48 | 2c19:dd:e04:ffff:ffff:ffff:ffff:ffff |
| 6 | 2c19:dd:e05::/48 | 2c19:dd:e05:ffff:ffff:ffff:ffff:ffff |
| 7 | 2c19:dd:e06::/48 | 2c19:dd:e06:ffff:ffff:ffff:ffff:ffff |
| 8 | 2c19:dd:e07::/48 | 2c19:dd:e07:ffff:ffff:ffff:ffff:ffff |
| 9 | 2c19:dd:e08::/48 | 2c19:dd:e08:ffff:ffff:ffff:ffff:ffff |
| 10 | 2c19:dd:e09::/48 | 2c19:dd:e09:ffff:ffff:ffff:ffff:ffff |
| 11 | 2c19:dd:e0a::/48 | 2c19:dd:e0a:ffff:ffff:ffff:ffff:ffff |
| 12 | 2c19:dd:e0b::/48 | 2c19:dd:e0b:ffff:ffff:ffff:ffff:ffff |
| 13 | 2c19:dd:e0c::/48 | 2c19:dd:e0c:ffff:ffff:ffff:ffff:ffff |
| 14 | 2c19:dd:e0d::/48 | 2c19:dd:e0d:ffff:ffff:ffff:ffff:ffff |
| 15 | 2c19:dd:e0e::/48 | 2c19:dd:e0e:ffff:ffff:ffff:ffff:ffff |
| 16 | 2c19:dd:e0f::/48 | 2c19:dd:e0f:ffff:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd:e10::/48 | 2c19:dd:e10:ffff:ffff:ffff:ffff:ffff |
| 18 | 2c19:dd:e11::/48 | 2c19:dd:e11:ffff:ffff:ffff:ffff:ffff |
| 19 | 2c19:dd:e12::/48 | 2c19:dd:e12:ffff:ffff:ffff:ffff:ffff |
| 20 | 2c19:dd:e13::/48 | 2c19:dd:e13:ffff:ffff:ffff:ffff:ffff |
| 21 | 2c19:dd:e14::/48 | 2c19:dd:e14:ffff:ffff:ffff:ffff:ffff |
| 22 | 2c19:dd:e15::/48 | 2c19:dd:e15:ffff:ffff:ffff:ffff:ffff |
| 23 | 2c19:dd:e16::/48 | 2c19:dd:e16:ffff:ffff:ffff:ffff:ffff |
| 24 | 2c19:dd:e17::/48 | 2c19:dd:e17:ffff:ffff:ffff:ffff:ffff |
| 25 | 2c19:dd:e18::/48 | 2c19:dd:e18:ffff:ffff:ffff:ffff:ffff |
| 26 | 2c19:dd:e19::/48 | 2c19:dd:e19:ffff:ffff:ffff:ffff:ffff |
| 27 | 2c19:dd:e1a::/48 | 2c19:dd:e1a:ffff:ffff:ffff:ffff:ffff |
| 28 | 2c19:dd:e1b::/48 | 2c19:dd:e1b:ffff:ffff:ffff:ffff:ffff |
| 29 | 2c19:dd:e1c::/48 | 2c19:dd:e1c:ffff:ffff:ffff:ffff:ffff |
| 30 | 2c19:dd:e1d::/48 | 2c19:dd:e1d:ffff:ffff:ffff:ffff:ffff |
| 31 | 2c19:dd:e1e::/48 | 2c19:dd:e1e:ffff:ffff:ffff:ffff:ffff |
| 32 | 2c19:dd:e1f::/48 | 2c19:dd:e1f:ffff:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd:e20::/48 | 2c19:dd:e20:ffff:ffff:ffff:ffff:ffff |
| 34 | 2c19:dd:e21::/48 | 2c19:dd:e21:ffff:ffff:ffff:ffff:ffff |
| 35 | 2c19:dd:e22::/48 | 2c19:dd:e22:ffff:ffff:ffff:ffff:ffff |
| 36 | 2c19:dd:e23::/48 | 2c19:dd:e23:ffff:ffff:ffff:ffff:ffff |
| 37 | 2c19:dd:e24::/48 | 2c19:dd:e24:ffff:ffff:ffff:ffff:ffff |
| 38 | 2c19:dd:e25::/48 | 2c19:dd:e25:ffff:ffff:ffff:ffff:ffff |
| 39 | 2c19:dd:e26::/48 | 2c19:dd:e26:ffff:ffff:ffff:ffff:ffff |
| 40 | 2c19:dd:e27::/48 | 2c19:dd:e27:ffff:ffff:ffff:ffff:ffff |
| 41 | 2c19:dd:e28::/48 | 2c19:dd:e28:ffff:ffff:ffff:ffff:ffff |
| 42 | 2c19:dd:e29::/48 | 2c19:dd:e29:ffff:ffff:ffff:ffff:ffff |
| 43 | 2c19:dd:e2a::/48 | 2c19:dd:e2a:ffff:ffff:ffff:ffff:ffff |
| 44 | 2c19:dd:e2b::/48 | 2c19:dd:e2b:ffff:ffff:ffff:ffff:ffff |
| 45 | 2c19:dd:e2c::/48 | 2c19:dd:e2c:ffff:ffff:ffff:ffff:ffff |
| 46 | 2c19:dd:e2d::/48 | 2c19:dd:e2d:ffff:ffff:ffff:ffff:ffff |
| 47 | 2c19:dd:e2e::/48 | 2c19:dd:e2e:ffff:ffff:ffff:ffff:ffff |
| 48 | 2c19:dd:e2f::/48 | 2c19:dd:e2f:ffff:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd:e30::/48 | 2c19:dd:e30:ffff:ffff:ffff:ffff:ffff |
| 50 | 2c19:dd:e31::/48 | 2c19:dd:e31:ffff:ffff:ffff:ffff:ffff |
| 51 | 2c19:dd:e32::/48 | 2c19:dd:e32:ffff:ffff:ffff:ffff:ffff |
| 52 | 2c19:dd:e33::/48 | 2c19:dd:e33:ffff:ffff:ffff:ffff:ffff |
| 53 | 2c19:dd:e34::/48 | 2c19:dd:e34:ffff:ffff:ffff:ffff:ffff |
| 54 | 2c19:dd:e35::/48 | 2c19:dd:e35:ffff:ffff:ffff:ffff:ffff |
| 55 | 2c19:dd:e36::/48 | 2c19:dd:e36:ffff:ffff:ffff:ffff:ffff |
| 56 | 2c19:dd:e37::/48 | 2c19:dd:e37:ffff:ffff:ffff:ffff:ffff |
| 57 | 2c19:dd:e38::/48 | 2c19:dd:e38:ffff:ffff:ffff:ffff:ffff |
| 58 | 2c19:dd:e39::/48 | 2c19:dd:e39:ffff:ffff:ffff:ffff:ffff |
| 59 | 2c19:dd:e3a::/48 | 2c19:dd:e3a:ffff:ffff:ffff:ffff:ffff |
| 60 | 2c19:dd:e3b::/48 | 2c19:dd:e3b:ffff:ffff:ffff:ffff:ffff |
| 61 | 2c19:dd:e3c::/48 | 2c19:dd:e3c:ffff:ffff:ffff:ffff:ffff |
| 62 | 2c19:dd:e3d::/48 | 2c19:dd:e3d:ffff:ffff:ffff:ffff:ffff |
| 63 | 2c19:dd:e3e::/48 | 2c19:dd:e3e:ffff:ffff:ffff:ffff:ffff |
| 64 | 2c19:dd:e3f::/48 | 2c19:dd:e3f:ffff:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd:e40::/48 | 2c19:dd:e40:ffff:ffff:ffff:ffff:ffff |
| 66 | 2c19:dd:e41::/48 | 2c19:dd:e41:ffff:ffff:ffff:ffff:ffff |
| 67 | 2c19:dd:e42::/48 | 2c19:dd:e42:ffff:ffff:ffff:ffff:ffff |
| 68 | 2c19:dd:e43::/48 | 2c19:dd:e43:ffff:ffff:ffff:ffff:ffff |
| 69 | 2c19:dd:e44::/48 | 2c19:dd:e44:ffff:ffff:ffff:ffff:ffff |
| 70 | 2c19:dd:e45::/48 | 2c19:dd:e45:ffff:ffff:ffff:ffff:ffff |
| 71 | 2c19:dd:e46::/48 | 2c19:dd:e46:ffff:ffff:ffff:ffff:ffff |
| 72 | 2c19:dd:e47::/48 | 2c19:dd:e47:ffff:ffff:ffff:ffff:ffff |
| 73 | 2c19:dd:e48::/48 | 2c19:dd:e48:ffff:ffff:ffff:ffff:ffff |
| 74 | 2c19:dd:e49::/48 | 2c19:dd:e49:ffff:ffff:ffff:ffff:ffff |
| 75 | 2c19:dd:e4a::/48 | 2c19:dd:e4a:ffff:ffff:ffff:ffff:ffff |
| 76 | 2c19:dd:e4b::/48 | 2c19:dd:e4b:ffff:ffff:ffff:ffff:ffff |
| 77 | 2c19:dd:e4c::/48 | 2c19:dd:e4c:ffff:ffff:ffff:ffff:ffff |
| 78 | 2c19:dd:e4d::/48 | 2c19:dd:e4d:ffff:ffff:ffff:ffff:ffff |
| 79 | 2c19:dd:e4e::/48 | 2c19:dd:e4e:ffff:ffff:ffff:ffff:ffff |
| 80 | 2c19:dd:e4f::/48 | 2c19:dd:e4f:ffff:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd:e50::/48 | 2c19:dd:e50:ffff:ffff:ffff:ffff:ffff |
| 82 | 2c19:dd:e51::/48 | 2c19:dd:e51:ffff:ffff:ffff:ffff:ffff |
| 83 | 2c19:dd:e52::/48 | 2c19:dd:e52:ffff:ffff:ffff:ffff:ffff |
| 84 | 2c19:dd:e53::/48 | 2c19:dd:e53:ffff:ffff:ffff:ffff:ffff |
| 85 | 2c19:dd:e54::/48 | 2c19:dd:e54:ffff:ffff:ffff:ffff:ffff |
| 86 | 2c19:dd:e55::/48 | 2c19:dd:e55:ffff:ffff:ffff:ffff:ffff |
| 87 | 2c19:dd:e56::/48 | 2c19:dd:e56:ffff:ffff:ffff:ffff:ffff |
| 88 | 2c19:dd:e57::/48 | 2c19:dd:e57:ffff:ffff:ffff:ffff:ffff |
| 89 | 2c19:dd:e58::/48 | 2c19:dd:e58:ffff:ffff:ffff:ffff:ffff |
| 90 | 2c19:dd:e59::/48 | 2c19:dd:e59:ffff:ffff:ffff:ffff:ffff |
| 91 | 2c19:dd:e5a::/48 | 2c19:dd:e5a:ffff:ffff:ffff:ffff:ffff |
| 92 | 2c19:dd:e5b::/48 | 2c19:dd:e5b:ffff:ffff:ffff:ffff:ffff |
| 93 | 2c19:dd:e5c::/48 | 2c19:dd:e5c:ffff:ffff:ffff:ffff:ffff |
| 94 | 2c19:dd:e5d::/48 | 2c19:dd:e5d:ffff:ffff:ffff:ffff:ffff |
| 95 | 2c19:dd:e5e::/48 | 2c19:dd:e5e:ffff:ffff:ffff:ffff:ffff |
| 96 | 2c19:dd:e5f::/48 | 2c19:dd:e5f:ffff:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd:e60::/48 | 2c19:dd:e60:ffff:ffff:ffff:ffff:ffff |
| 98 | 2c19:dd:e61::/48 | 2c19:dd:e61:ffff:ffff:ffff:ffff:ffff |
| 99 | 2c19:dd:e62::/48 | 2c19:dd:e62:ffff:ffff:ffff:ffff:ffff |
| 100 | 2c19:dd:e63::/48 | 2c19:dd:e63:ffff:ffff:ffff:ffff:ffff |
| 101 | 2c19:dd:e64::/48 | 2c19:dd:e64:ffff:ffff:ffff:ffff:ffff |
| 102 | 2c19:dd:e65::/48 | 2c19:dd:e65:ffff:ffff:ffff:ffff:ffff |
| 103 | 2c19:dd:e66::/48 | 2c19:dd:e66:ffff:ffff:ffff:ffff:ffff |
| 104 | 2c19:dd:e67::/48 | 2c19:dd:e67:ffff:ffff:ffff:ffff:ffff |
| 105 | 2c19:dd:e68::/48 | 2c19:dd:e68:ffff:ffff:ffff:ffff:ffff |
| 106 | 2c19:dd:e69::/48 | 2c19:dd:e69:ffff:ffff:ffff:ffff:ffff |
| 107 | 2c19:dd:e6a::/48 | 2c19:dd:e6a:ffff:ffff:ffff:ffff:ffff |
| 108 | 2c19:dd:e6b::/48 | 2c19:dd:e6b:ffff:ffff:ffff:ffff:ffff |
| 109 | 2c19:dd:e6c::/48 | 2c19:dd:e6c:ffff:ffff:ffff:ffff:ffff |
| 110 | 2c19:dd:e6d::/48 | 2c19:dd:e6d:ffff:ffff:ffff:ffff:ffff |
| 111 | 2c19:dd:e6e::/48 | 2c19:dd:e6e:ffff:ffff:ffff:ffff:ffff |
| 112 | 2c19:dd:e6f::/48 | 2c19:dd:e6f:ffff:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd:e70::/48 | 2c19:dd:e70:ffff:ffff:ffff:ffff:ffff |
| 114 | 2c19:dd:e71::/48 | 2c19:dd:e71:ffff:ffff:ffff:ffff:ffff |
| 115 | 2c19:dd:e72::/48 | 2c19:dd:e72:ffff:ffff:ffff:ffff:ffff |
| 116 | 2c19:dd:e73::/48 | 2c19:dd:e73:ffff:ffff:ffff:ffff:ffff |
| 117 | 2c19:dd:e74::/48 | 2c19:dd:e74:ffff:ffff:ffff:ffff:ffff |
| 118 | 2c19:dd:e75::/48 | 2c19:dd:e75:ffff:ffff:ffff:ffff:ffff |
| 119 | 2c19:dd:e76::/48 | 2c19:dd:e76:ffff:ffff:ffff:ffff:ffff |
| 120 | 2c19:dd:e77::/48 | 2c19:dd:e77:ffff:ffff:ffff:ffff:ffff |
| 121 | 2c19:dd:e78::/48 | 2c19:dd:e78:ffff:ffff:ffff:ffff:ffff |
| 122 | 2c19:dd:e79::/48 | 2c19:dd:e79:ffff:ffff:ffff:ffff:ffff |
| 123 | 2c19:dd:e7a::/48 | 2c19:dd:e7a:ffff:ffff:ffff:ffff:ffff |
| 124 | 2c19:dd:e7b::/48 | 2c19:dd:e7b:ffff:ffff:ffff:ffff:ffff |
| 125 | 2c19:dd:e7c::/48 | 2c19:dd:e7c:ffff:ffff:ffff:ffff:ffff |
| 126 | 2c19:dd:e7d::/48 | 2c19:dd:e7d:ffff:ffff:ffff:ffff:ffff |
| 127 | 2c19:dd:e7e::/48 | 2c19:dd:e7e:ffff:ffff:ffff:ffff:ffff |
| 128 | 2c19:dd:e7f::/48 | 2c19:dd:e7f:ffff:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd:e80::/48 | 2c19:dd:e80:ffff:ffff:ffff:ffff:ffff |
| 130 | 2c19:dd:e81::/48 | 2c19:dd:e81:ffff:ffff:ffff:ffff:ffff |
| 131 | 2c19:dd:e82::/48 | 2c19:dd:e82:ffff:ffff:ffff:ffff:ffff |
| 132 | 2c19:dd:e83::/48 | 2c19:dd:e83:ffff:ffff:ffff:ffff:ffff |
| 133 | 2c19:dd:e84::/48 | 2c19:dd:e84:ffff:ffff:ffff:ffff:ffff |
| 134 | 2c19:dd:e85::/48 | 2c19:dd:e85:ffff:ffff:ffff:ffff:ffff |
| 135 | 2c19:dd:e86::/48 | 2c19:dd:e86:ffff:ffff:ffff:ffff:ffff |
| 136 | 2c19:dd:e87::/48 | 2c19:dd:e87:ffff:ffff:ffff:ffff:ffff |
| 137 | 2c19:dd:e88::/48 | 2c19:dd:e88:ffff:ffff:ffff:ffff:ffff |
| 138 | 2c19:dd:e89::/48 | 2c19:dd:e89:ffff:ffff:ffff:ffff:ffff |
| 139 | 2c19:dd:e8a::/48 | 2c19:dd:e8a:ffff:ffff:ffff:ffff:ffff |
| 140 | 2c19:dd:e8b::/48 | 2c19:dd:e8b:ffff:ffff:ffff:ffff:ffff |
| 141 | 2c19:dd:e8c::/48 | 2c19:dd:e8c:ffff:ffff:ffff:ffff:ffff |
| 142 | 2c19:dd:e8d::/48 | 2c19:dd:e8d:ffff:ffff:ffff:ffff:ffff |
| 143 | 2c19:dd:e8e::/48 | 2c19:dd:e8e:ffff:ffff:ffff:ffff:ffff |
| 144 | 2c19:dd:e8f::/48 | 2c19:dd:e8f:ffff:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd:e90::/48 | 2c19:dd:e90:ffff:ffff:ffff:ffff:ffff |
| 146 | 2c19:dd:e91::/48 | 2c19:dd:e91:ffff:ffff:ffff:ffff:ffff |
| 147 | 2c19:dd:e92::/48 | 2c19:dd:e92:ffff:ffff:ffff:ffff:ffff |
| 148 | 2c19:dd:e93::/48 | 2c19:dd:e93:ffff:ffff:ffff:ffff:ffff |
| 149 | 2c19:dd:e94::/48 | 2c19:dd:e94:ffff:ffff:ffff:ffff:ffff |
| 150 | 2c19:dd:e95::/48 | 2c19:dd:e95:ffff:ffff:ffff:ffff:ffff |
| 151 | 2c19:dd:e96::/48 | 2c19:dd:e96:ffff:ffff:ffff:ffff:ffff |
| 152 | 2c19:dd:e97::/48 | 2c19:dd:e97:ffff:ffff:ffff:ffff:ffff |
| 153 | 2c19:dd:e98::/48 | 2c19:dd:e98:ffff:ffff:ffff:ffff:ffff |
| 154 | 2c19:dd:e99::/48 | 2c19:dd:e99:ffff:ffff:ffff:ffff:ffff |
| 155 | 2c19:dd:e9a::/48 | 2c19:dd:e9a:ffff:ffff:ffff:ffff:ffff |
| 156 | 2c19:dd:e9b::/48 | 2c19:dd:e9b:ffff:ffff:ffff:ffff:ffff |
| 157 | 2c19:dd:e9c::/48 | 2c19:dd:e9c:ffff:ffff:ffff:ffff:ffff |
| 158 | 2c19:dd:e9d::/48 | 2c19:dd:e9d:ffff:ffff:ffff:ffff:ffff |
| 159 | 2c19:dd:e9e::/48 | 2c19:dd:e9e:ffff:ffff:ffff:ffff:ffff |
| 160 | 2c19:dd:e9f::/48 | 2c19:dd:e9f:ffff:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd:ea0::/48 | 2c19:dd:ea0:ffff:ffff:ffff:ffff:ffff |
| 162 | 2c19:dd:ea1::/48 | 2c19:dd:ea1:ffff:ffff:ffff:ffff:ffff |
| 163 | 2c19:dd:ea2::/48 | 2c19:dd:ea2:ffff:ffff:ffff:ffff:ffff |
| 164 | 2c19:dd:ea3::/48 | 2c19:dd:ea3:ffff:ffff:ffff:ffff:ffff |
| 165 | 2c19:dd:ea4::/48 | 2c19:dd:ea4:ffff:ffff:ffff:ffff:ffff |
| 166 | 2c19:dd:ea5::/48 | 2c19:dd:ea5:ffff:ffff:ffff:ffff:ffff |
| 167 | 2c19:dd:ea6::/48 | 2c19:dd:ea6:ffff:ffff:ffff:ffff:ffff |
| 168 | 2c19:dd:ea7::/48 | 2c19:dd:ea7:ffff:ffff:ffff:ffff:ffff |
| 169 | 2c19:dd:ea8::/48 | 2c19:dd:ea8:ffff:ffff:ffff:ffff:ffff |
| 170 | 2c19:dd:ea9::/48 | 2c19:dd:ea9:ffff:ffff:ffff:ffff:ffff |
| 171 | 2c19:dd:eaa::/48 | 2c19:dd:eaa:ffff:ffff:ffff:ffff:ffff |
| 172 | 2c19:dd:eab::/48 | 2c19:dd:eab:ffff:ffff:ffff:ffff:ffff |
| 173 | 2c19:dd:eac::/48 | 2c19:dd:eac:ffff:ffff:ffff:ffff:ffff |
| 174 | 2c19:dd:ead::/48 | 2c19:dd:ead:ffff:ffff:ffff:ffff:ffff |
| 175 | 2c19:dd:eae::/48 | 2c19:dd:eae:ffff:ffff:ffff:ffff:ffff |
| 176 | 2c19:dd:eaf::/48 | 2c19:dd:eaf:ffff:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd:eb0::/48 | 2c19:dd:eb0:ffff:ffff:ffff:ffff:ffff |
| 178 | 2c19:dd:eb1::/48 | 2c19:dd:eb1:ffff:ffff:ffff:ffff:ffff |
| 179 | 2c19:dd:eb2::/48 | 2c19:dd:eb2:ffff:ffff:ffff:ffff:ffff |
| 180 | 2c19:dd:eb3::/48 | 2c19:dd:eb3:ffff:ffff:ffff:ffff:ffff |
| 181 | 2c19:dd:eb4::/48 | 2c19:dd:eb4:ffff:ffff:ffff:ffff:ffff |
| 182 | 2c19:dd:eb5::/48 | 2c19:dd:eb5:ffff:ffff:ffff:ffff:ffff |
| 183 | 2c19:dd:eb6::/48 | 2c19:dd:eb6:ffff:ffff:ffff:ffff:ffff |
| 184 | 2c19:dd:eb7::/48 | 2c19:dd:eb7:ffff:ffff:ffff:ffff:ffff |
| 185 | 2c19:dd:eb8::/48 | 2c19:dd:eb8:ffff:ffff:ffff:ffff:ffff |
| 186 | 2c19:dd:eb9::/48 | 2c19:dd:eb9:ffff:ffff:ffff:ffff:ffff |
| 187 | 2c19:dd:eba::/48 | 2c19:dd:eba:ffff:ffff:ffff:ffff:ffff |
| 188 | 2c19:dd:ebb::/48 | 2c19:dd:ebb:ffff:ffff:ffff:ffff:ffff |
| 189 | 2c19:dd:ebc::/48 | 2c19:dd:ebc:ffff:ffff:ffff:ffff:ffff |
| 190 | 2c19:dd:ebd::/48 | 2c19:dd:ebd:ffff:ffff:ffff:ffff:ffff |
| 191 | 2c19:dd:ebe::/48 | 2c19:dd:ebe:ffff:ffff:ffff:ffff:ffff |
| 192 | 2c19:dd:ebf::/48 | 2c19:dd:ebf:ffff:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd:ec0::/48 | 2c19:dd:ec0:ffff:ffff:ffff:ffff:ffff |
| 194 | 2c19:dd:ec1::/48 | 2c19:dd:ec1:ffff:ffff:ffff:ffff:ffff |
| 195 | 2c19:dd:ec2::/48 | 2c19:dd:ec2:ffff:ffff:ffff:ffff:ffff |
| 196 | 2c19:dd:ec3::/48 | 2c19:dd:ec3:ffff:ffff:ffff:ffff:ffff |
| 197 | 2c19:dd:ec4::/48 | 2c19:dd:ec4:ffff:ffff:ffff:ffff:ffff |
| 198 | 2c19:dd:ec5::/48 | 2c19:dd:ec5:ffff:ffff:ffff:ffff:ffff |
| 199 | 2c19:dd:ec6::/48 | 2c19:dd:ec6:ffff:ffff:ffff:ffff:ffff |
| 200 | 2c19:dd:ec7::/48 | 2c19:dd:ec7:ffff:ffff:ffff:ffff:ffff |
| 201 | 2c19:dd:ec8::/48 | 2c19:dd:ec8:ffff:ffff:ffff:ffff:ffff |
| 202 | 2c19:dd:ec9::/48 | 2c19:dd:ec9:ffff:ffff:ffff:ffff:ffff |
| 203 | 2c19:dd:eca::/48 | 2c19:dd:eca:ffff:ffff:ffff:ffff:ffff |
| 204 | 2c19:dd:ecb::/48 | 2c19:dd:ecb:ffff:ffff:ffff:ffff:ffff |
| 205 | 2c19:dd:ecc::/48 | 2c19:dd:ecc:ffff:ffff:ffff:ffff:ffff |
| 206 | 2c19:dd:ecd::/48 | 2c19:dd:ecd:ffff:ffff:ffff:ffff:ffff |
| 207 | 2c19:dd:ece::/48 | 2c19:dd:ece:ffff:ffff:ffff:ffff:ffff |
| 208 | 2c19:dd:ecf::/48 | 2c19:dd:ecf:ffff:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd:ed0::/48 | 2c19:dd:ed0:ffff:ffff:ffff:ffff:ffff |
| 210 | 2c19:dd:ed1::/48 | 2c19:dd:ed1:ffff:ffff:ffff:ffff:ffff |
| 211 | 2c19:dd:ed2::/48 | 2c19:dd:ed2:ffff:ffff:ffff:ffff:ffff |
| 212 | 2c19:dd:ed3::/48 | 2c19:dd:ed3:ffff:ffff:ffff:ffff:ffff |
| 213 | 2c19:dd:ed4::/48 | 2c19:dd:ed4:ffff:ffff:ffff:ffff:ffff |
| 214 | 2c19:dd:ed5::/48 | 2c19:dd:ed5:ffff:ffff:ffff:ffff:ffff |
| 215 | 2c19:dd:ed6::/48 | 2c19:dd:ed6:ffff:ffff:ffff:ffff:ffff |
| 216 | 2c19:dd:ed7::/48 | 2c19:dd:ed7:ffff:ffff:ffff:ffff:ffff |
| 217 | 2c19:dd:ed8::/48 | 2c19:dd:ed8:ffff:ffff:ffff:ffff:ffff |
| 218 | 2c19:dd:ed9::/48 | 2c19:dd:ed9:ffff:ffff:ffff:ffff:ffff |
| 219 | 2c19:dd:eda::/48 | 2c19:dd:eda:ffff:ffff:ffff:ffff:ffff |
| 220 | 2c19:dd:edb::/48 | 2c19:dd:edb:ffff:ffff:ffff:ffff:ffff |
| 221 | 2c19:dd:edc::/48 | 2c19:dd:edc:ffff:ffff:ffff:ffff:ffff |
| 222 | 2c19:dd:edd::/48 | 2c19:dd:edd:ffff:ffff:ffff:ffff:ffff |
| 223 | 2c19:dd:ede::/48 | 2c19:dd:ede:ffff:ffff:ffff:ffff:ffff |
| 224 | 2c19:dd:edf::/48 | 2c19:dd:edf:ffff:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd:ee0::/48 | 2c19:dd:ee0:ffff:ffff:ffff:ffff:ffff |
| 226 | 2c19:dd:ee1::/48 | 2c19:dd:ee1:ffff:ffff:ffff:ffff:ffff |
| 227 | 2c19:dd:ee2::/48 | 2c19:dd:ee2:ffff:ffff:ffff:ffff:ffff |
| 228 | 2c19:dd:ee3::/48 | 2c19:dd:ee3:ffff:ffff:ffff:ffff:ffff |
| 229 | 2c19:dd:ee4::/48 | 2c19:dd:ee4:ffff:ffff:ffff:ffff:ffff |
| 230 | 2c19:dd:ee5::/48 | 2c19:dd:ee5:ffff:ffff:ffff:ffff:ffff |
| 231 | 2c19:dd:ee6::/48 | 2c19:dd:ee6:ffff:ffff:ffff:ffff:ffff |
| 232 | 2c19:dd:ee7::/48 | 2c19:dd:ee7:ffff:ffff:ffff:ffff:ffff |
| 233 | 2c19:dd:ee8::/48 | 2c19:dd:ee8:ffff:ffff:ffff:ffff:ffff |
| 234 | 2c19:dd:ee9::/48 | 2c19:dd:ee9:ffff:ffff:ffff:ffff:ffff |
| 235 | 2c19:dd:eea::/48 | 2c19:dd:eea:ffff:ffff:ffff:ffff:ffff |
| 236 | 2c19:dd:eeb::/48 | 2c19:dd:eeb:ffff:ffff:ffff:ffff:ffff |
| 237 | 2c19:dd:eec::/48 | 2c19:dd:eec:ffff:ffff:ffff:ffff:ffff |
| 238 | 2c19:dd:eed::/48 | 2c19:dd:eed:ffff:ffff:ffff:ffff:ffff |
| 239 | 2c19:dd:eee::/48 | 2c19:dd:eee:ffff:ffff:ffff:ffff:ffff |
| 240 | 2c19:dd:eef::/48 | 2c19:dd:eef:ffff:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd:ef0::/48 | 2c19:dd:ef0:ffff:ffff:ffff:ffff:ffff |
| 242 | 2c19:dd:ef1::/48 | 2c19:dd:ef1:ffff:ffff:ffff:ffff:ffff |
| 243 | 2c19:dd:ef2::/48 | 2c19:dd:ef2:ffff:ffff:ffff:ffff:ffff |
| 244 | 2c19:dd:ef3::/48 | 2c19:dd:ef3:ffff:ffff:ffff:ffff:ffff |
| 245 | 2c19:dd:ef4::/48 | 2c19:dd:ef4:ffff:ffff:ffff:ffff:ffff |
| 246 | 2c19:dd:ef5::/48 | 2c19:dd:ef5:ffff:ffff:ffff:ffff:ffff |
| 247 | 2c19:dd:ef6::/48 | 2c19:dd:ef6:ffff:ffff:ffff:ffff:ffff |
| 248 | 2c19:dd:ef7::/48 | 2c19:dd:ef7:ffff:ffff:ffff:ffff:ffff |
| 249 | 2c19:dd:ef8::/48 | 2c19:dd:ef8:ffff:ffff:ffff:ffff:ffff |
| 250 | 2c19:dd:ef9::/48 | 2c19:dd:ef9:ffff:ffff:ffff:ffff:ffff |
| 251 | 2c19:dd:efa::/48 | 2c19:dd:efa:ffff:ffff:ffff:ffff:ffff |
| 252 | 2c19:dd:efb::/48 | 2c19:dd:efb:ffff:ffff:ffff:ffff:ffff |
| 253 | 2c19:dd:efc::/48 | 2c19:dd:efc:ffff:ffff:ffff:ffff:ffff |
| 254 | 2c19:dd:efd::/48 | 2c19:dd:efd:ffff:ffff:ffff:ffff:ffff |
| 255 | 2c19:dd:efe::/48 | 2c19:dd:efe:ffff:ffff:ffff:ffff:ffff |
| 256 | 2c19:dd:eff::/48 | 2c19:dd:eff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |